Page MenuHomeFreeBSD

ipfw(4): make O_IPVER/ipversion match IPv4 or IPv6, not just IPv4 by itself
ClosedPublic

Authored by neel_neelc.org on Jun 11 2020, 3:54 AM.

Details

Summary

ipfw(4): make O_IPVER/ipversion match IPv4 or IPv6, not just IPv4 by itself.

Submitted by: Neel Chauhan <neel AT neelc DOT org>

Test Plan

Try this rule:

ipfw add 1 deny all from any to any ipversion 4

It should deny IPv4 packets

Or this:

ipfw add 1 deny all from any to any ipversion 6

It should deny IPv6 packets.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

neel_neelc.org created this revision.Jun 11 2020, 3:54 AM
neel_neelc.org requested review of this revision.Jun 11 2020, 3:54 AM
This revision is now accepted and ready to land.Jun 23 2020, 8:31 AM
neel_neelc.org abandoned this revision.Jun 24 2020, 2:25 PM
neel_neelc.org reclaimed this revision.Jun 24 2020, 4:58 PM
This revision is now accepted and ready to land.Jun 24 2020, 4:58 PM